// +build !cgo

package main

import (
	"os"

	"git.fuyu.moe/Fuyu/flog"
)

func setLogger() {
	f, err := os.OpenFile(`log`, os.O_CREATE|os.O_APPEND|os.O_WRONLY, 0644)
	if err != nil {
		panic(err)
	}

	flog.Output = f
	flog.MinLevel = flog.LevelInfo
	flog.MinStackLevel = flog.LevelWarning
}
